Summary: The GNU versions of grep pattern matching utilities.
Name: grep
Version: 2.4.2
Release: 1
Copyright: GPL
Group: Applications/Text
Source: ftp://prep.ai.mit.edu/pub/gnu/grep-%{version}.tar.bz2
Prefix: %{_prefix}
Prereq: /sbin/install-info
Buildroot: /var/tmp/grep-root

%description
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.  

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%prep
%setup -q

%build
#CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr --exec-prefix=/
#make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s

%ifos Linux
%configure --exec-prefix=/
%else
%configure
%endif
make

%install
rm -rf ${RPM_BUILD_ROOT}
%ifos Linux
make LDFLAGS=-s prefix=${RPM_BUILD_ROOT}%{_prefix} exec_prefix=${RPM_BUILD_ROOT} install
%else
make LDFLAGS=-s prefix=${RPM_BUILD_ROOT}%{_prefix} install
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/install-info --quiet --info-dir=/usr/info /usr/info/grep.info

%preun
if [ $1 = 0 ]; then
	/sbin/install-info --quiet --info-dir=/usr/info --delete /usr/info/grep.info
fi

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS THANKS TODO NEWS README ChangeLog

%ifos Linux
/bin/*
%else
%{_prefix}/bin/*
%endif
%{_prefix}/info/*.info
%{_prefix}/man/*/*
%{_prefix}/share/locale/*/*/grep.*

%changelog
* Fri Mar 10 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 2.4.2
- bzip2 source archive

* Wed Dec 22 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.4.

* Wed Oct 20 1999 Bill Nottingham <notting@redhat.com>
- prereq install-info

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to grep 2.3, added install-info %post/%preun for info

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.0 to 2.1
- spec file cleanups
- added BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
